Package org.drinkless.tdlib

# Class TdApi.PageBlockListItem

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlockListItem

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockListItem extends TdApi.Object
Describes an item of a list page block.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `label`
  Item label.
  `TdApi.PageBlock[]`
  `pageBlocks`
  Item blocks.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockListItem()`
  Describes an item of a list page block.
  `PageBlockListItem(String label, TdApi.PageBlock[] pageBlocks)`
  Describes an item of a list page block.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### label

    public String label
    Item label.

  - ### pageBlocks

    public TdApi.PageBlock[] pageBlocks
    Item blocks.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockListItem

    public PageBlockListItem()
    Describes an item of a list page block.

  - ### PageBlockListItem

    public PageBlockListItem(String label, TdApi.PageBlock[] pageBlocks)
    Describes an item of a list page block.
    Parameters:
      `label` - Item label.
      `pageBlocks` - Item blocks.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR